Bug 1483595 (CVE-2017-12451) - CVE-2017-12451 binutils: out of bounds stack read in _bfd_xcoff_read_ar_hdr function
Summary: CVE-2017-12451 binutils: out of bounds stack read in _bfd_xcoff_read_ar_hdr f...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-12451
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1483603 1483604 1483605
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-21 13:09 UTC by Adam Mariš
Modified: 2019-09-29 14:19 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:21:29 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-08-21 13:09:25 UTC
The _bfd_xcoff_read_ar_hdr function in bfd/coff-rs6000.c and
bfd/coff64-rs6000.c in the Binary File Descriptor (BFD) library (aka
libbfd), as distributed in GNU Binutils 2.29 and earlier, allows remote
attackers to cause an out of bounds stack read via a crafted COFF image
file.

Upstream bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=21786

Comment 1 Adam Mariš 2017-08-21 13:12:11 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1483604]


Created mingw-binutils tracking bugs for this issue:

Affects: epel-all [bug 1483603]
Affects: fedora-all [bug 1483605]


Note You need to log in before you can comment on or make changes to this bug.